Open CASCADE Technology: StepElement_Array1OfCurveElementEndReleasePacket Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepElement_Array1OfCurveElementEndReleasePacket Class Reference

`#include <StepElement_Array1OfCurveElementEndReleasePacket.hxx>`

## Public Member Functions
| StepElement_Array1OfCurveElementEndReleasePacket (const Standard_Integer Low, const Standard_Integer Up)
| StepElement_Array1OfCurveElementEndReleasePacket (const Handle< StepElement_CurveElementEndReleasePacket > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< StepElement_CurveElementEndReleasePacket > &V)
void | Destroy ()
| ~StepElement_Array1OfCurveElementEndReleasePacket ()
Standard_Boolean | IsAllocated () const
const StepElement_Array1OfCurveElementEndReleasePacket & | Assign (const StepElement_Array1OfCurveElementEndReleasePacket &Other)
const StepElement_Array1OfCurveElementEndReleasePacket & | operator= (const StepElement_Array1OfCurveElementEndReleasePacket &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepElement_CurveElementEndReleasePacket > &Value)
const Handle< StepElement_CurveElementEndReleasePacket > & | Value (const Standard_Integer Index) const
const Handle< StepElement_CurveElementEndReleasePacket > & | operator() (const Standard_Integer Index) const
Handle< StepElement_CurveElementEndReleasePacket > & | ChangeValue (const Standard_Integer Index)
Handle< StepElement_CurveElementEndReleasePacket > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepElement_Array1OfCurveElementEndReleasePacket::StepElement_Array1OfCurveElementEndReleasePacket | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepElement_Array1OfCurveElementEndReleasePacket::StepElement_Array1OfCurveElementEndReleasePacket | ( | const Handle< StepElement_CurveElementEndReleasePacket > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepElement_Array1OfCurveElementEndReleasePacket::~StepElement_Array1OfCurveElementEndReleasePacket | ( |  | ) |
| inline

## Member Function Documentation

const StepElement_Array1OfCurveElementEndReleasePacket& StepElement_Array1OfCurveElementEndReleasePacket::Assign | ( | const StepElement_Array1OfCurveElementEndReleasePacket & | Other | ) |

Handle< StepElement_CurveElementEndReleasePacket >& StepElement_Array1OfCurveElementEndReleasePacket::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepElement_Array1OfCurveElementEndReleasePacket::Destroy | ( |  | ) |

void StepElement_Array1OfCurveElementEndReleasePacket::Init | ( | const Handle< StepElement_CurveElementEndReleasePacket > & | V | ) |

Standard_Boolean StepElement_Array1OfCurveElementEndReleasePacket::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfCurveElementEndReleasePacket::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfCurveElementEndReleasePacket::Lower | ( |  | ) | const

const Handle< StepElement_CurveElementEndReleasePacket >& StepElement_Array1OfCurveElementEndReleasePacket::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StepElement_CurveElementEndReleasePacket >& StepElement_Array1OfCurveElementEndReleasePacket::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepElement_Array1OfCurveElementEndReleasePacket& StepElement_Array1OfCurveElementEndReleasePacket::operator= | ( | const StepElement_Array1OfCurveElementEndReleasePacket & | Other | ) |
| inline

void StepElement_Array1OfCurveElementEndReleasePacket::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepElement_CurveElementEndReleasePacket > & | Value
| ) |  |

Standard_Integer StepElement_Array1OfCurveElementEndReleasePacket::Upper | ( |  | ) | const

const Handle< StepElement_CurveElementEndReleasePacket >& StepElement_Array1OfCurveElementEndReleasePacket::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepElement_Array1OfCurveElementEndReleasePacket.hxx